@{
if len(alt_text.split('!')) > 1:
 alt_text, size = alt_text.split('!')
else:
 size = '0.8'
}
\begin{figure}[!h]
\centering
 \includegraphics[width=@size\textwidth]{@find(src)}
@[if title]
\caption{@title}
@[end if]
@[if alt_text]
\label{@alt_text}
@[end if]
\end{figure}
